Payment details
Returns the full details of an existing payment that you've created througn the POST /payments endpoint. Simply supply the id of the payment we returned when the payment was created.
You can retrieve a filterable list of payments through the GET /payments endpoint.
Authorization
oauth OAuth2 password grant - see the documentation in the oAuth2 Authentication section
In: header
Path Parameters
ID of the payment
uuidResponse Body
application/json
curl -X GET "https://example.com/payments/93b85f3c-76eb-4316-b1ae-f3370ddc59bc"{ "id": "string", "active": true, "createdAt": "2019-08-24T14:15:22Z", "currency": { "id": "string", "name": "string", "decimal": 0, "active": true }, "amount": 0, "type": "BILL", "account": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "createdAt": "2019-08-24T14:15:22Z", "nickname": "string", "accountNumber": "string", "iban": "string", "swiftBic": "string", "currency": { "id": "string", "name": "string", "decimal": 0, "active": true }, "country": { "id": "st", "name": "string" }, "bankname": "string" }, "uniqueReference": "string", "bank": { "id": "string", "name": "string", "country": { "id": "st", "name": "string" }, "officialName": "string", "branchName": "string", "shortBranchName": "string", "active": true, "logo": "string", "icon": "string" }, "status": "string", "statusUpdates": [ { "createdAt": "string", "newStatus": "string" } ], "beneficiary": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "accountIdentifications": [ { "type": "string", "value": "string" } ], "country": { "id": "st", "name": "string" } }, "transferType": "string", "sender": { "name": "string", "email": "string", "ip": "string", "deviceFingerprint": "string", "voltConnect": { "accountName": "string", "accountNumber": "string", "sortCode": "string" } }, "refundAvailable": true, "refundNotAvailableReason": "string", "refundNotAvailableCode": "string"}oAuth2 password authentication POST
We use the industry-standard oAuth2 authentication to secure our API. ### Information you'll need - Your **Client ID** and **Client Secret** (from the application you created in Fuzebox) - Your **API username** and **password** (from the merchant credentials section in Fuzebox) Step-by-step instructions on how to authenticate are available in our [integration guides](https://docs.volt.io/gateway/authentication/) area.
List payments GET
Reporting API available to fetch list of payments based on specific selection criteria